DACSCONF(1) | DACS Tools and Utilities | DACSCONF(1)

## NAME

dacsconf — display configuration directives

## SYNOPSIS

`dacsconf` [`dacsoptions`] [`-vars`] [`directive-name`...]

`dacsconf` [`-item_types`]

## DESCRIPTION

This program is part of the DACS suite.

The dacsconf utility processes DACS configuration files (see dacs.conf(5)) and outputs to stdout the values of directives or variable references currently in effect for the specified jurisdiction.

Although the order in which clauses appear in configuration files can be important, the order of configuration directives is for the most part not significant. The exception is the EVAL directive. These directives are listed in the order in which they would be evaluated, and their unevaluated values appear in the output.

This program is also available as a DACS web service, dacs_conf(8).

### Security

Because the configuration might reveal information that could be taken advantage of by an attacker, only the DACS administrator should be able to run this command.

## OPTIONS

`-item_types`

  List the names of all predefined item types. The presence of a name does not imply that DACS has been configured to use the item type.

`-vars`

  By default, directives that appear within a clause (e.g., <Auth> or <Roles>) are emitted in the context of that clause. This option "flattens" the output by emitting it in the form of DACS variables.

  For example, the STYLE directive in an `Auth` section having an `id` of `foo` will appear as `AUTH.FOO.STYLE` in the output.

  All variables in the `Conf` namespace are displayed, including those set by `EVAL`.

`directive-name`

  One or more directive names or variable references may be provided to limit the output. It is not an error if a `directive-name` is not defined.

## FILES

conf.css

## DIAGNOSTICS

The program exits `0` if everything was fine, `1` if an error occurred. Error messages are printed to stderr.

## SEE ALSO

dacs_conf(8), dacs.conf(5)

## AUTHOR

Distributed Systems Software (www.dss.ca)

## COPYING

Copyright © 2003-2012 Distributed Systems Software. See the `LICENSE` file that accompanies the distribution for licensing information.

DACS Version 1.4.38a | 23-Nov-2016 | DACSCONF(1)

Table of Contents

Font:

- Z
- Z
- Z
- Z

−−

Set

++

$Id: dacsconf.1.xml 2563 2012-02-07 22:40:41Z brachman $